petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatDenseRestoreArrayRead

returns access to the array where the data for a dense matrix is stored obtained by MatDenseGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseRestoreArrayRead(Mat A,const PetscScalar **array)

Not Collective

### Input Parameters

mat -a MATSEQDENSE or MATMPIDENSE matrix
array -pointer to the data

### See Also

MatDenseGetArray(), MatDenseGetArrayRead(), MatDenseRestoreArray()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseRestoreArrayRead_MPIDense in src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages